Draft Array/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand|Name=Draft_Array|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Array}}
== Draft: Matrice, schiera ==


==Description==
{{GuiCommand/it|Name=Draft_Array|Name/it=Matrice|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft Matrice}}
The Array tool creates an orthogonal (3-axes) or polar array from a selected object. If no object is selected, you will be invited to select one.

Lo strumento Matrice crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati. Se non è selezionato nessun oggetto, lo strumento chiede di selezionarne uno.


[[Image:Draft_Array_example.jpg|400px]]
[[Image:Draft_Array_example.jpg|400px]]


=== Utilizzo ===
==How to use==
# Select an object you wish to make an array with

# Press the {{KEY|[[Image:Draft Array.png|16px]] [[Draft Array]]}} button
# Selezionare gli oggetti con si desidera creare una schiera, che si desidera duplicare secondo un certo ordine
# Premere il pulsante {{KEY/it|[[Image:Draft Array.png|16px]] Matrice}}

=== Opzioni ===

* La matrice ha come impostazione iniziale predefinita quella ortogonale, è possibile modificare questa modalità nelle sue proprietà.

=== Proprietà ===

* {{ProprietaDati|Array Type}}: Specifica il tipo di matrice: ortho o polar

Per matrici ortogonali:

* {{ProprietaDati|Interval X}}: L'intervallo tra ciascuna copia sul primo asse
* {{ProprietaDati|Interval Y}}: L'intervallo tra ciascuna copia sul secondo asse
* {{ProprietaDati|Interval Z}}: L'intervallo tra ciascuna copia sul terzo asse
* {{ProprietaDati|Number X}}: Il numero di copie sul primo asse
* {{ProprietaDati|Number Y}}: Il numero di copie sul secondo asse
* {{ProprietaDati|Number Z}}: Il numero di copie sul terzo asse

Per matrici polari:


==Options==
* {{ProprietaDati|Axis}}: La direzione normale al cerchio della matrice
* The array starts as orthogonal by default, you can then change its mode in the properties.
* {{ProprietaDati|Center}}: Il punto centro della matrice
* {{ProprietaDati|Angle}}: L'angolo da coprire con le copie
* {{ProprietaDati|Number Polar}}: Il numero di copie


=== Script ===
==Properties==
* {{PropertyData|Array Type}}: Specifies the type of the array, ortho or polar


For orthogonal arrays:
Lo strumento Matrice può essere utilizzato nelle [[macros/it|macro]] e dalla [[FreeCAD_Scripting_Basics/it|console di Python]] utilizzando una delle seguenti funzioni:
* {{PropertyData|Interval X}}: The interval between each copy on the first axis
* {{PropertyData|Interval Y}}: The interval between each copy on the second axis
* {{PropertyData|Interval Z}}: The interval between each copy on the third axis
* {{PropertyData|Number X}}: The number of copies on the first axis
* {{PropertyData|Number Y}}: The number of copies on the second axis
* {{PropertyData|Number Z}}: The number of copies on the third axis


For polar arrays:
- per le matrici rettangolari
* {{PropertyData|Axis}}: The normal direction of the array circle
'''array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])'''
* {{PropertyData|Center}}: The center point of the array
- per le matrici polari
* {{PropertyData|Angle}}: The angle to cover with copies
'''array (objectslist,center,totalangle,totalnum)'''
* {{PropertyData|Number Polar}}: The number of copies


==Scripting==
* Crea una schiera di copie degli oggetti contenuti nella lista (che può essere un oggetto o un elenco di oggetti).
The Array tool can by used in [[macros]] and from the python console by using one of the following functions.
* Nel caso di matrice rettangolare, produce xnum di iterazioni nella direzione x alla distanza xvector tra le iterazioni, e stessa cosa per la direzione Y con yvector e ynum.
* Nel caso di matrice polare, center è un vettore, totalangle è l'angolo da coprire (in gradi) e totalnum è il numero di oggetti, compreso l'originale.


For rectangular array:
oppure, con un solo oggetto:
<syntaxhighlight>
array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])
</syntaxhighlight>
For polar array:
<syntaxhighlight>
array (objectslist,center,totalangle,totalnum)
</syntaxhighlight>
* Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
* This function produces standalone copies of the base object(s)


Or
- per le matrici rettangolari
'''makeArray (object,xvector,yvector,xnum,ynum)'''
- per le matrici polari
'''makeArray (object,center,totalangle,totalnum)'''


For rectangular array:
* Crea una schiera di oggetti parametrici, duplicati dell'oggetto dato
<syntaxhighlight>
* Nel caso di matrice rettangolare, produce xnum di iterazioni nella direzione x alla distanza xvector tra le iterazioni, e stessa cosa per la direzione Y con yvector e ynum.
makeArray (object,xvector,yvector,xnum,ynum)
* Nel caso di matrice polare, center è un vettore, totalangle è l'angolo da coprire (in gradi) e totalnum è il numero di oggetti, compreso l'originale.
</syntaxhighlight>
For polar array:
Esempio:
<syntaxhighlight>
makeArray (object,center,totalangle,totalnum)
</syntaxhighlight>
* Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
* The result of this function is a parametric Draft Array object.


Example:
<syntaxhighlight>
import FreeCAD,Draft
import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)


</syntaxhighlight>
{{languages/it | {{en|Draft_Array}} {{es|Draft_Array/es}} {{fr|Draft_Array/fr}} }}
{{clear}}
<languages/>

Revision as of 15:56, 16 February 2014

Draft_Array

Menu location
Draft -> Array
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Description

The Array tool creates an orthogonal (3-axes) or polar array from a selected object. If no object is selected, you will be invited to select one.

How to use

  1. Select an object you wish to make an array with
  2. Press the Draft Array button

Options

  • The array starts as orthogonal by default, you can then change its mode in the properties.

Properties

  • DatiArray Type: Specifies the type of the array, ortho or polar

For orthogonal arrays:

  • DatiInterval X: The interval between each copy on the first axis
  • DatiInterval Y: The interval between each copy on the second axis
  • DatiInterval Z: The interval between each copy on the third axis
  • DatiNumber X: The number of copies on the first axis
  • DatiNumber Y: The number of copies on the second axis
  • DatiNumber Z: The number of copies on the third axis

For polar arrays:

  • DatiAxis: The normal direction of the array circle
  • DatiCenter: The center point of the array
  • DatiAngle: The angle to cover with copies
  • DatiNumber Polar: The number of copies

Scripting

The Array tool can by used in macros and from the python console by using one of the following functions.

For rectangular array:

 array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])

For polar array:

 array (objectslist,center,totalangle,totalnum)
  • Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • This function produces standalone copies of the base object(s)

Or

For rectangular array:

 makeArray (object,xvector,yvector,xnum,ynum)

For polar array:

 makeArray (object,center,totalangle,totalnum)
  • Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • The result of this function is a parametric Draft Array object.

Example:

 import FreeCAD,Draft
 Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)